Bug 284047 - Calligra Stage crashes on reopening a odp after closing
Summary: Calligra Stage crashes on reopening a odp after closing
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: T Zachmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-15 07:01 UTC by Gopalakrishna Bhat
Modified: 2011-12-04 05:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gopalakrishna Bhat 2011-10-15 07:01:12 UTC
Application: calligrastage (2.4 Beta 2)
KDE Platform Version: 4.7.1 (4.7.1)
Qt Version: 4.7.4
Operating System: Linux 3.0-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:

Open any odp in Calligra Stage. Goto the second slide and come tho the first using the "Document" docker and then close the document(File->Close). Reopen the same document again and Stage will crash.

The crash can be reproduced every time.

-- Backtrace:
Application: Stage (calligrastage), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fd8540b5780 (LWP 9840))]

Thread 2 (Thread 0x7fd83635a700 (LWP 9841)):
#0  0x00007fd84d749563 in poll () from /lib/libc.so.6
#1  0x00007fd847dcd7d4 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fd847dcdd09 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fd84e79c66e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007fd84e770a92 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007fd84e770c97 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007fd84e68813f in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007fd84e753aef in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007fd84e68abc5 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007fd84e400da0 in start_thread () from /lib/libpthread.so.0
#10 0x00007fd84d7517dd in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd8540b5780 (LWP 9840)):
[KCrash Handler]
#6  0x00007fd852f84a86 in KoShape::parent (this=0x151d650) at /home/gk/kde/src/calligra/libs/flake/KoShape.cpp:1011
#7  0x00007fd83f5bb007 in KoPADocumentModel::parent (this=0x1795c60, child=...) at /home/gk/kde/src/calligra/libs/kopageapp/KoPADocumentModel.cpp:138
#8  0x00007fd84f8ee38e in QItemSelection::contains(QModelIndex const&) const () from /usr/lib/libQtGui.so.4
#9  0x00007fd8536fb937 in KoSelectionManager::slotSelectionChanged (this=0x177d1c0, selected=..., deselected=...) at /home/gk/kde/src/calligra/libs/widgets/KoSelectionManager.cpp:233
#10 0x00007fd8536fbbd9 in KoSelectionManager::qt_metacall (this=0x177d1c0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fffd8890e90) at /home/gk/kde/build/calligra/libs/widgets/KoSelectionManager.moc:92
#11 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#12 0x00007fd84f8ef127 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) () from /usr/lib/libQtGui.so.4
#13 0x00007fd84f8f4f24 in QItemSelectionModel::emitSelectionChanged(QItemSelection const&, QItemSelection const&) () from /usr/lib/libQtGui.so.4
#14 0x00007fd84f8f5eaf in QItemSelectionModel::select(QItemSelection const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib/libQtGui.so.4
#15 0x00007fd84f8f0fba in QItemSelectionModel::select(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib/libQtGui.so.4
#16 0x00007fd84f8ef397 in QItemSelectionModel::setCurrentIndex(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib/libQtGui.so.4
#17 0x00007fd84f89838e in QAbstractItemView::setCurrentIndex(QModelIndex const&) () from /usr/lib/libQtGui.so.4
#18 0x00007fd83f5c4761 in KoPADocumentStructureDocker::setActivePage (this=0x1a32670, page=0x1b30f50) at /home/gk/kde/src/calligra/libs/kopageapp/KoPADocumentStructureDocker.cpp:517
#19 0x00007fd83f5a542a in KoPAView::setActivePage (this=0x1a65d50, page=0x1b30f50) at /home/gk/kde/src/calligra/libs/kopageapp/KoPAView.cpp:765
#20 0x00007fd83f5a4e7e in KoPAView::doUpdateActivePage (this=0x1a65d50, page=0x1b30f50) at /home/gk/kde/src/calligra/libs/kopageapp/KoPAView.cpp:701
#21 0x00007fd83f59fb17 in KoPAView::KoPAView (this=0x1a65d50, __vtt_parm=0x7fd83fadc488, document=0x19acfd0, parent=0xf6f2f0, __in_chrg=<optimized out>) at /home/gk/kde/src/calligra/libs/kopageapp/KoPAView.cpp:169
#22 0x00007fd83f83fea0 in KPrView::KPrView (this=0x1a65d50, document=0x19acfd0, parent=0xf6f2f0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /home/gk/kde/src/calligra/stage/part/KPrView.cpp:73
#23 0x00007fd83f83843f in KPrDocument::createViewInstance (this=0x19acfd0, parent=0xf6f2f0) at /home/gk/kde/src/calligra/stage/part/KPrDocument.cpp:114
#24 0x00007fd8539ab174 in KoDocument::createView (this=0x19acfd0, parent=0xf6f2f0) at /home/gk/kde/src/calligra/libs/main/KoDocument.cpp:432
#25 0x00007fd8539d678f in KoMainWindow::setRootDocument (this=0xf6f2f0, doc=0x19acfd0) at /home/gk/kde/src/calligra/libs/main/KoMainWindow.cpp:423
#26 0x00007fd8539b80a5 in KoDocument::deleteOpenPane (this=0x19acfd0, closing=false) at /home/gk/kde/src/calligra/libs/main/KoDocument.cpp:2671
#27 0x00007fd8539b1d2a in KoDocument::openFile (this=0x19acfd0) at /home/gk/kde/src/calligra/libs/main/KoDocument.cpp:1638
#28 0x00007fd85174fb1c in ?? () from /usr/lib/libkparts.so.4
#29 0x00007fd851750164 in KParts::ReadOnlyPart::openUrl(KUrl const&) () from /usr/lib/libkparts.so.4
#30 0x00007fd8539b0066 in KoDocument::openUrl (this=0x19acfd0, _url=...) at /home/gk/kde/src/calligra/libs/main/KoDocument.cpp:1254
#31 0x00007fd8539b7a4e in KoDocument::openExistingFile (this=0x19acfd0, url=...) at /home/gk/kde/src/calligra/libs/main/KoDocument.cpp:2597
#32 0x00007fd8539b8b8b in KoDocument::qt_metacall (this=0x19acfd0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7fffd8892300) at /home/gk/kde/build/calligra/libs/main/KoDocument.moc:131
#33 0x00007fd83f59ba5c in KoPADocument::qt_metacall (this=0x19acfd0, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0x7fffd8892300) at /home/gk/kde/build/calligra/libs/kopageapp/KoPADocument.moc:78
#34 0x00007fd83f839726 in KPrDocument::qt_metacall (this=0x19acfd0, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0x7fffd8892300) at /home/gk/kde/build/calligra/stage/part/KPrDocument.moc:75
#35 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#36 0x00007fd853a2d58b in KoOpenPane::openExistingFile (this=0x1bd1420, _t1=...) at /home/gk/kde/build/calligra/libs/main/KoOpenPane.moc:104
#37 0x00007fd853a2d469 in KoOpenPane::qt_metacall (this=0x1bd1420, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffd8892410) at /home/gk/kde/build/calligra/libs/main/KoOpenPane.moc:86
#38 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#39 0x00007fd853a2ba3b in KoExistingDocumentPane::openExistingUrl (this=0x1ac9740, _t1=...) at /home/gk/kde/build/calligra/libs/main/KoExistingDocumentPane.moc:89
#40 0x00007fd853a2b8c7 in KoExistingDocumentPane::onAccepted (this=0x1ac9740) at /home/gk/kde/src/calligra/libs/main/KoExistingDocumentPane.cpp:61
#41 0x00007fd853a2b9ea in KoExistingDocumentPane::qt_metacall (this=0x1ac9740, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffd88924d0) at /home/gk/kde/build/calligra/libs/main/KoExistingDocumentPane.moc:77
#42 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#43 0x00007fd84d18d560 in KFileWidget::slotOk() () from /usr/lib/libkfile.so.4
#44 0x00007fd84d18eac9 in ?? () from /usr/lib/libkfile.so.4
#45 0x00007fd84d18f7fe in KFileWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkfile.so.4
#46 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#47 0x00007fd84d171e35 in KDirOperator::fileSelected(KFileItem const&) () from /usr/lib/libkfile.so.4
#48 0x00007fd84d171f15 in KDirOperator::Private::_k_slotActivated(QModelIndex const&) () from /usr/lib/libkfile.so.4
#49 0x00007fd84d17761a in KDirOperator::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkfile.so.4
#50 0x00007fd84e7845ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#51 0x00007fd84f89d0a5 in QAbstractItemView::activated(QModelIndex const&) () from /usr/lib/libQtGui.so.4
#52 0x00007fd84f89d59f in QAbstractItemView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#53 0x00007fd84f8b938e in QListView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#54 0x00007fd84f3e60fa in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#55 0x00007fd84f78a586 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#56 0x00007fd84f89a44b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#57 0x00007fd84e771a28 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#58 0x00007fd84f395aaf in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#59 0x00007fd84f39b252 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#60 0x00007fd8500b1c96 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#61 0x00007fd84e77189c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#62 0x00007fd84f396ab2 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#63 0x00007fd84f412d45 in ?? () from /usr/lib/libQtGui.so.4
#64 0x00007fd84f411bda in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#65 0x00007fd84f439282 in ?? () from /usr/lib/libQtGui.so.4
#66 0x00007fd847dcd29d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#67 0x00007fd847dcda78 in ?? () from /usr/lib/libglib-2.0.so.0
#68 0x00007fd847dcdd09 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#69 0x00007fd84e79c606 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#70 0x00007fd84f438eee in ?? () from /usr/lib/libQtGui.so.4
#71 0x00007fd84e770a92 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#72 0x00007fd84e770c97 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#73 0x00007fd84e774eab in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#74 0x00007fd853ce8299 in kdemain (argc=1, argv=0x7fffd88946b8) at /home/gk/kde/src/calligra/stage/part/main.cpp:44
#75 0x0000000000400936 in main (argc=1, argv=0x7fffd88946b8) at /home/gk/kde/build/calligra/stage/part/calligrastage_dummy.cpp:3

Reported using DrKonqi
Comment 1 T Zachmann 2011-12-04 05:28:55 UTC
Git commit a86cfceff8a116f575e0cb8594b2a74810b54fc1 by Thorsten Zachmann.
Committed on 04/12/2011 at 06:27.
Pushed by zachmann into branch 'master'.

Don't crash when reopening a document

This fixes bug 284047 - Calligra Stage crashes on reopening a odp after closing

BUG: 284047

M  +6    -0    libs/kopageapp/KoPADocumentStructureDocker.cpp

http://commits.kde.org/calligra/a86cfceff8a116f575e0cb8594b2a74810b54fc1